::@echo off

xcopy .\uninstall.bat ..\
xcopy .\updatefiles.txt ..\

setlocal
set SRC_DIR=.\
set DEST_DIR=%~1
set BACKUP_DIR=%~2
echo SRC_DIR %SRC_DIR% DEST_DIR %DEST_DIR% BACKUP_DIR %BACKUP_DIR%
:start
FOR /F "eol=; tokens=1,2,3 delims=," %%f in (..\updatefiles.txt) do call :backup %%g %%f %%h
goto END

:backup
echo TYPE %1 FILE %2 PATH %3
if %2==dir (
		call :backupdir %1 %3
	) else ( 
		call :backupfile %1 %3
	)
goto END

:backupdir
set SRC_FILE=%DEST_DIR%\%1
set DEST_FILE=%BACKUP_DIR%\%2
if  exist "%SRC_FILE%" xcopy "%SRC_FILE%" "%DEST_FILE%" /e /k /i /Y /F
set SRC_FILE=%SRC_DIR%\%1
set DEST_FILE=%DEST_DIR%\%2
if  exist "%SRC_FILE%" xcopy "%SRC_FILE%" "%DEST_FILE%" /e /k /i /Y /F
goto END

:backupfile
set SRC_FILE=%DEST_DIR%\%1
set DEST_FILE=%BACKUP_DIR%\%2
echo SRC_FILE %SRC_FILE% DEST_FILE %DEST_FILE%
if  exist "%SRC_FILE%" xcopy "%SRC_FILE%" "%DEST_FILE%" /k /i /Y /F
set SRC_FILE=%SRC_DIR%\%1
set DEST_FILE=%DEST_DIR%\%2
echo SRC_FILE %SRC_FILE% DEST_FILE %DEST_FILE%
if  exist "%SRC_FILE%" xcopy "%SRC_FILE%" "%DEST_FILE%" /k /i /Y /F
goto END

:END

